Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jca.security
Class KeyFactorySpi

    java.lang.Object
      com.mindbright.jca.security.KeyFactorySpi

Direct Known Subclasses:
  DHKeyFactory, DSAKeyFactory, RSAKeyFactory

public abstract class KeyFactorySpi
extends java.lang.Object

Constructor Summary
`KeyFactorySpi()`

Method Summary
`protected abstract PrivateKey` | `engineGeneratePrivate(KeySpec keySpec)`
`protected abstract PublicKey` | `engineGeneratePublic(KeySpec keySpec)`
`protected abstract KeySpec` | `engineGetKeySpec(Key key, java.lang.Class keySpec)`
`protected abstract Key` | `engineTranslateKey(Key key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyFactorySpi

    public KeyFactorySpi()

Method Detail

### engineGeneratePublic

    protected abstract PublicKey engineGeneratePublic(KeySpec keySpec)
                                               throws InvalidKeySpecException

  Throws:
    `InvalidKeySpecException`

### engineGeneratePrivate

    protected abstract PrivateKey engineGeneratePrivate(KeySpec keySpec)
                                                 throws InvalidKeySpecException

  Throws:
    `InvalidKeySpecException`

### engineGetKeySpec

    protected abstract KeySpec engineGetKeySpec(Key key,
                                                java.lang.Class keySpec)
                                         throws InvalidKeySpecException

  Throws:
    `InvalidKeySpecException`

### engineTranslateKey

    protected abstract Key engineTranslateKey(Key key)
                                       throws InvalidKeyException

  Throws:
    `InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD